<?php

/**
 * @package     JohnCMS
 * @link        http://johncms.com
 * @copyright   Copyright (C) 2008-2011 JohnCMS Community
 * @license     LICENSE.txt (see attached file)
 * @version     VERSION.txt (see attached file)
 * @author      http://johncms.com/about
 */
echo '<title>Подтверждение WMR</title>';
define('_IN_JOHNCMS', 1);
require('incfiles/core.php');
require('incfiles/head.php');

/*
-----------------------------------------------------------------
Закрываем от неавторизованных юзеров
-----------------------------------------------------------------
*/
if (!$user_id) {
    require('incfiles/head.php');
    echo functions::display_error($lng['access_guest_forbidden']);
    require('incfiles/end.php');
    exit;
}

/*
-----------------------------------------------------------------
Получаем данные пользователя
-----------------------------------------------------------------
*/
$user = functions::get_user($user);
if (!$user) {
    require('incfiles/head.php');
    echo functions::display_error($lng['user_does_not_exist']);
    require('incfiles/end.php');
    exit;
}
if ($user['okwm']==1) { echo '<div class="alert alert-danger" role="alert">Вы уже подтвердили кошелек</div>';} else {

$vipl = mysql_fetch_assoc(mysql_query("SELECT * FROM `cms_settings` WHERE `key` = 'okwmc' LIMIT 1"));
	
if (isset($_POST['cena'])){
   $cena=intval($_POST['cena']);
   if (empty($cena)){
  echo functions::display_error('Пустое значение');
  require_once('incfiles/end.php');
   exit;
}
   if ($user['wmr']<1111){
  echo functions::display_error('Заполните кошелек');
  require_once('incfiles/end.php');
   exit;
}

   
   if ($user['balans']<$vipl['val']){
  echo functions::display_error('Не достаточно денег');
  require_once('incfiles/end.php');
   exit;
}
$url= "/pod.php";
 if (!$error){
 mysql_query("UPDATE `users` SET `balans` = '".($user['balans']-$vipl['val'])."' WHERE `id` = '$user[id]' LIMIT 1");
  mysql_query("UPDATE `users` SET `okwm` = '1' WHERE `id` = '$user[id]' LIMIT 1");
echo'<div class="alert alert-success" role="alert">Успешно</div>';
echo '<script type="text/javascript">'; 
echo 'window.location.href="'.$url.'";'; 
echo '</script>'; 
 
	  }
  
}



echo'<div class="phdr"><a href="profile.php?user=' . $user['id'] . '"><b>' . $lng['profile'] . '</b></a> | Подтверждение WMR</div>' .
    '<div class="user">После подтверждения, изменить кошелек будет невозможно.Подтверждение кошелька платное. За подтверждение с вас будет списано ' . $vipl['val'] . '
	рублей.';
echo '</div>';

	echo '<div class="menu">';
	 echo "<form action='/pod.php?' method=\"post\">";
$ii = 1;
echo "<input type='hidden' type='text' name='cena' value='$ii' />\n";
echo "<input class=\"btn btn-default\" type=\"submit\" value=\"Подтвердить\" />\n";
echo "</form></div>"; 
}

   require('incfiles/end.php');